> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# UI auditor

> Get AI-powered UI/UX recommendations to improve design and accessibility.



## OpenAPI

````yaml POST /public/v1/ui-auditor
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /public/v1/ui-auditor:
    post:
      description: >-
        Get AI-powered UI/UX recommendations to improve design and
        accessibility.
      requestBody:
        description: UI/UX recommendations
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UIAuditorRequest'
        required: true
      responses:
        '200':
          description: UI audit completed successfully!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UIAuditorResponse'
              examples:
                validationError:
                  value:
                    status: 200
                    data: {}
                    success: true
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    UIAuditorRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: The URL of the image to analyze for UI/UX recommendations
    UIAuditorResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: string
          description: AI-powered UI/UX improvement recommendations
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          description: Response message
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````